package objects 
{
	import core.Assets;
	import starling.display.Image;
	import starling.display.Sprite;
	import starling.events.Event;
	import starling.textures.Texture;
	
	/**
	 * ...
	 * @author miyijura
	 */
	public class Background extends Sprite 
	{
		public var moveRate:int = 2; //mus be pairs!
		public var bg:Image;
		public var bgb:Image;
		//esta variable permite que cambiemos las texturas desde otras clases
		public var bg_texture:Texture = Texture(Assets.bg_1);
		
		public function Background() 
		{
			addEventListener(Event.ADDED_TO_STAGE,  init);
		}
		
		private function init(e:Event):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			
			//create image 1
			bg = new Image(bg_texture);
			bg.width = stage.stageWidth;
			bg.height = stage.stageHeight;
			bg.x = 0;
			addChild(bg);
			
			//create image 2
			bgb = new Image(bg_texture);
			bgb.width = stage.stageWidth;
			bgb.height = stage.stageHeight;
			//initial pos
			bgb.x = stage.stageWidth;
			addChild(bgb);
		}
		
		public function update():void {
			bg.x -= moveRate;
			if (bg.x <= -bg.width)
				bg.x = stage.stageWidth
				
			bgb.x -= moveRate;
			if (bgb.x <= -bgb.width)
				bgb.x = stage.stageWidth;
		}
		
	}

}